#include <iostream>
#include <string>
#include <cmath>

using namespace std;

int main(){

    string slova;
    int brojs1, brojs2;
    cin >> slova >> brojs1 >> brojs2;
    string rec;
    if((abs(brojs1 - brojs2)== 0) or abs(brojs1 - brojs2)== 1){
        if(abs(brojs1 - brojs2) == 0){
            for(int i = 0; i < brojs1; i++){
                rec = rec + slova;
            }
        }
            if(brojs1 > brojs2){
                for(int i = 0; i < brojs2; i++){
                    rec = rec + slova;
                }
                rec = rec + slova[0];
            }
            if(brojs2 > brojs1){
                for(int i = 0; i < brojs1; i++){
                    rec = rec + slova[1] + slova[0];
                }
                rec = rec + slova[1];
            }


    }
    else{
        cout << "nemoguce";
    }
    cout << rec;



    return 0;
}